<?php
defined('_JEXEC') or die();

$virtuemart_order_id = $viewData['virtuemart_order_id'];
$virtuemart_shipmentmethod_id = $viewData['virtuemart_shipmentmethod_id'];
$shipment_id = $viewData['shipment_id'];
//JHtml::_('behavior.calendar');
$doc = JFactory::getDocument();
$doc->addStyleSheet(JURI::root(true) . '/plugins/vmshipment/baikalsr/assets/css/baikalsr.css');
$doc->addScriptDeclaration('var vmShipmentMethodId = "&virtuemart_shipmentmethod_id=' . (!empty($virtuemart_shipmentmethod_id) ? $virtuemart_shipmentmethod_id : 0) . '";'); 
$doc->addScriptDeclaration('var translate = {
	no_data: "' . vmText::_( 'VMSHIPMENT_BAIKAL_NO_DATA') . '",
	send_request: "' . vmText::_('VMSHIPMENT_BAIKAL_SEND_REQUEST') . '",
	entry_fio: "' . vmText::_( 'VMSHIPMENT_BAIKAL_FIO') . '",
	entry_inn_kpp: "' . vmText::_( 'VMSHIPMENT_BAIKAL_INN_KPP') . '",
	entry_inn: "' . vmText::_( 'VMSHIPMENT_BAIKAL_INN') . '",
	err_title: "' . vmText::_( 'VMSHIPMENT_BAIKAL_ERROR') . '",
	entry_contact_person: "' . vmText::_( 'VMSHIPMENT_BAIKAL_CONTACT_PERSON') . '",
	min_term: "' . vmText::_( 'VMSHIPMENT_BAIKAL_TERM_LBL2') . '", 
	shipping_cost: "' . vmText::_( 'VMSHIPMENT_BAIKAL_COST') . '", 
};');
vmJsApi::addJScript('baikalsr', '/plugins/vmshipment/baikalsr/assets/js/baikalsr.js');
vmJsApi::loadPopUpLib();
$box = "
jQuery(document).ready(function($) {

	window.baikalsr.shippingFieldsPopup = function (el, order_id, shipmentmethod_id) {
		event.preventDefault();
		var url = Virtuemart.vmSiteurl + 'administrator/index.php?option=com_virtuemart&view=plugin&type=vmshipment&name=baikalsr&action=popupShow' + Virtuemart.vmLang;
		var icon = $(el).find('span').attr('class');
		$.ajax({
			type: 'POST',
			cache: false,
			url: url,
			data: {
				'virtuemart_order_id': order_id,
				'virtuemart_shipmentmethod_id': shipmentmethod_id
			},
			beforeSend: function() {
				$(el).find('span').removeClass().addClass('icon-loop').toggleClass('spinner');
				$(el).prop('disabled', true);
			},
			complete: function() {
				$(el).find('span').removeClass().addClass(icon);
				$(el).prop('disabled', false);
			},
			success: function (data) {
				// on success, post (preview) returned data in fancybox
				$.fancybox(data, {
					// fancybox API options
					'width': '900',
					'height': '440',
					'type': 'html',
					'cyclic' : true,
					//'modal': true,
					'autoCenter': true,
					'autoScale': false,
					'autoDimensions':false,
					'centerOnScroll': true,
					'scrolling' : 'auto',
					'padding' : '25',
				}); 
			} 
		}); 
	};
	
});
";

vmJsApi::addJScript('box',$box);
?>
<?php if(isset($virtuemart_order_id) && !empty($virtuemart_order_id)):?>
	<div class="btn-toolbar" role="toolbar-shipment" id="toolbar-shipment">
	<?php if(isset($shipment_id) && !empty($shipment_id)):?>
	<div class="btn-wrapper" id="toolbar-shipment-more">
		<button onclick="return window.baikalsr.shippingFieldsPopup(this, <?=$virtuemart_order_id?>, <?=$virtuemart_shipmentmethod_id?>);" class="btn btn-small button-more">
		<span class="icon-pencil" aria-hidden="true"></span>
		<?php echo vmText::_ ('VMSHIPMENT_BAIKAL_BUTTON_MORE') ?></button>
	</div>
	<div class="btn-wrapper" id="toolbar-shipment-refresh">
		<button onclick="return window.baikalsr.trackShipment(this, <?=$virtuemart_order_id?>, <?=$virtuemart_shipmentmethod_id?>);" class="btn btn-small button-refresh">
		<span class="icon-refresh" aria-hidden="true"></span>
		<?php echo vmText::_ ('VMSHIPMENT_BAIKAL_BUTTON_SYNC') ?></button>
	</div>
	<?php else:?>
	<div class="btn-wrapper" id="toolbar-shipment-more">
		<button onclick="return window.baikalsr.shippingFieldsPopup(this, <?=$virtuemart_order_id?>, <?=$virtuemart_shipmentmethod_id?>);" class="btn btn-small button-more">
		<span class="icon-plus" aria-hidden="true"></span>
		<?php echo vmText::_ ('VMSHIPMENT_BAIKAL_BUTTON_NEW') ?></button>
	</div>
	<?php endif;?>
	</div>
<?php endif;?>






