<?php
/**
 * For customisation of the order done layout
 * Available variables in array $viewData "method" => $this->_currentMethod, 'order' => $order, 'cart'=>$cart
 */
if (!class_exists('vmPSPlugin')) {
	require(VMPATH_PLUGINLIBS . DS . 'vmpsplugin.php');
}
$order = $viewData['order'];
$method = $viewData['method'];
$cart = $viewData['cart'];

$currency = CurrencyDisplay::getInstance ();
?>
<p><?=vmText::_('VMSHIPMENT_BAIKAL_ORDER_TRACKING_INFO')?></p>
<table width="100%" cellspacing="0" cellpadding="0" border="0">
    <tbody>
	<?php if ($order['details']['BT']->order_number): ?>
	<tr>
        <td class="orders-key"><?=vmText::_('VMSHIPMENT_BAIKAL_ORDER_NUMBER')?></td>
        <td class="orders-key" align="left"><?=$order['details']['BT']->order_number?></td>
    </tr>
	<?php endif;?>
	<?php if ($method->shipment_name): ?>
    <tr>
        <td class=""><?=vmText::_('VMSHIPMENT_BAIKAL_SHIPPING_METHOD')?></td>
        <td align="left"><span class="vmshipment_name"><?=$method->shipment_name?></span></td>
    </tr>
	<?php endif;?>
	<?php if ($cart->cartData['paymentName']): ?>
    <tr>
        <td class=""><?=vmText::_('VMSHIPMENT_BAIKAL_PAYMENT_METHOD')?></td>
        <td align="left"><?=$cart->cartData['paymentName']?></td>
    </tr>
	<?php endif;?>
	<?php if ($order['details']['BT']->order_total && $order['details']['BT']->user_currency_id): ?>
    <tr>
        <td class="orders-key"><?=vmText::_('VMSHIPMENT_BAIKAL_TOTAL')?></td>
        <td class="orders-key" align="left"><?=$currency->priceDisplay($order['details']['BT']->order_total, $order['details']['BT']->user_currency_id);?></td>
    </tr>
	<?php endif;?>
	</tbody>
</table>

