<?php
defined('_JEXEC') or die();

jimport('joomla.form.formfield');

if (!class_exists ('Baikalsr\Lib\Tools')) {
	require(VMPATH_PLUGINS . DS . 'vmshipment' . DS . 'baikalsr' . DS . 'lib' . DS . 'tools.php');
}

class JFormFieldBsautocompletemulti extends JFormField {

	var $type = 'Bsautocompletemulti';

	protected function getInput() {
		$baikalsrTools = new Baikalsr\Lib\Tools();
		$attr = '';

		// Initialize some field attributes.
		$attr .= !empty($this->class) ? ' class="' . $this->class . '"' : '';
		$attr .= $this->multiple ? ' multiple' : '';
		$attr .= $this->getAttribute("target") ? ' data-url="' . $this->getAttribute("target") . '"' : '';
		
		$options = '';

		$selectedPoints = $this->value;
		if(!is_array($selectedPoints)){
			if(!empty($selectedPoints))
				$selectedPoints = array($selectedPoints);
			else
				$selectedPoints = [];
		}
		
		$shipmentMethodId = vRequest::getInt('cid');
		if(isset($shipmentMethodId[0])){
			$config = VmModel::getModel('shipmentmethod')->getShipment($shipmentMethodId[0]);
			if (isset($config->test) && isset($config->authKeyTest) && isset($config->authKey) && !empty($selectedPoints)){
				if($config->test){
					$baikalsrTools::defineAuthParams( $config->authKeyTest, true );
				}else{
					$baikalsrTools::defineAuthParams( $config->authKey, false );
				}
				$selected = 'selected="selected"';  
				foreach ($selectedPoints as $guid) {
					$arCity = $baikalsrTools::_getCityByGuid($guid);
					//print_r($arCity);
					if(isset($arCity['title']) && !empty($arCity['title'])){
						$pointName = $arCity['title'];
						$disabled = '';
					}else{
						$pointName = vmText::_('VMSHIPMENT_BAIKAL_NO_DATA');
						$disabled = 'disabled="disabled"';
					}
					$options .= '<option ' . $selected . ' ' . $disabled . ' value="' . $guid . '">' . $pointName . '</option>';;
				}
			}
		}
		$html = '<select id="'. $this->id . '" name="' . $this->name . '" '. $attr .'>';
        $html .= $options;
        $html .= '</select>';
        return $html;
	}


}


